register_sound_midi
Prev | Chapter 24. Sound Devices | Next

## Name

register_sound_midi — register a midi device

## Synopsis

`int register_sound_midi (` | const struct file_operations * | fops,
| int | dev`)`;

## Arguments

`fops`

  File operations for the driver

`dev`

  Unit number to allocate

## Description

Allocate a midi device. Unit is the number of the midi device requested. Pass -1 to request the next free midi unit. On success the allocated number is returned, on failure a negative error code is returned.

Prev | Up | Next
register_sound_mixer | Home | register_sound_dsp